This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 173897 - Review Request: fonts-hebrew-fancy
Review Request: fonts-hebrew-fancy
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michael A. Peters
David Lawrence
http://culmus.sourceforge.net/fancy/
:
Depends On:
Blocks: FE-ACCEPT 477387 487913
  Show dependency treegraph
 
Reported: 2005-11-22 07:04 EST by Dan Kenigsberg
Modified: 2009-03-02 18:43 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-11-22 18:14:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dan Kenigsberg 2005-11-22 07:04:54 EST
Spec Name or Url: http://ivrix.org.il/redhat/fonts-hebrew-fancy.spec
SRPM Name or Url: http://ivrix.org.il/redhat/fonts-hebrew-fancy-0.101-1.src.rpm
Description: The fonts-hebrew-fancy package contains fancy (non-standard) Hebrew fonts from the Culmus project by Maxim Iorsh.

The core package fonts-hebrew include only the bare minimum fonts. For fancier fonts, such as Ktav-Yad (cursive), install fonts-hebrew-fancy.

As is bug 173683, this is an attempt to make Fedora more useful for Hebrew speakers.
Comment 1 Michael A. Peters 2005-11-22 07:39:02 EST
Thank you for packaging these - I've been looking for good Hebrew fonts (I'm
learning it) - found a few, and found some expensive nice commercial ones.
Anyway, these look nice.

-=-
Back on topic - some suggestions:

1) Please use a full url path to the tarballs - IE

Source0: http://culmus.sourceforge.net/fancy/comix.tar.gz

2) Please install them into their own directory, rather than a directory owned
by a core font package.
perhaps %{_datadir}/fonts/hebrew-fancy

That will also remove the need for explicit dependency on hebrew-fonts

3) FC-5 uses fonts.cache-2 - so its easiest to touch and ghost both

touch $RPM_BUILD_ROOT%{_datadir}/hebrew-fancy/fonts.cache-{1,2}

Then in the %files section - ghost both of them.

IE
%ghost %{_datadir}/fonts/hebrew-fancy/fonts.cache-1
%ghost %{_datadir}/fonts/hebrew-fancy/fonts.cache-2

4)

%post
fc-cache %{_datadir}/fonts

I *think* that is incorrect - may work in fc4, but I believe it doesn't in fc5.
I believe in fc5 you have to specify the directory. IE

%post
fc-cache %{_datadir}/fonts/hebrew-fancy

The %postun is I believe correct.

%defattr(-,root,root)

Please change that to

%defattr(-,root,root,-)

-=-
A Hebrew summary and description would be nice, but not required.
Comment 2 Dan Kenigsberg 2005-11-22 08:49:53 EST
Good luck with your Hebrew studies; you might find my verb conjugator 
useful http://wassist.cs.technion.ac.il/~danken/cgi-bin/cilla.cgi.

I believe that Maxim Iorsh, who drew the fonts, deserves all your thanks.

I did what you asked, and hope it's ok (no idea what is this %ghost...
should browse MaximumRPM).
Do note that I copied the %post script from FC4 fonts-hebrew package.
One should make sure it is correct in FC5.

.spec and SRPM are updated
http://ivrix.org.il/redhat/fonts-hebrew-fancy-0.101-2.src.rpm
Comment 3 Michael A. Peters 2005-11-22 15:53:52 EST
Formal review coming (including fc5 test)

What %ghost does is mark a file such that it is not actually installed by the
rpm but is owned by the rpm if it exists.

This allows the proper program (in this case) fc-cache to be responsible for
creating the file, but it is owned by the rpm - so that when the rpm is removed,
 the ghosted file is removed as if the rpm had been who put it there in the
first place.

I don't know if Maximum rpm talks about it or not. I think the Red Hat RPM Guide
(which I believe either is or shortly will be available for free) does.
Comment 4 Michael A. Peters 2005-11-22 16:46:17 EST
Reviewed per http://fedoraproject.org/wiki/PackageReviewGuidelines

Good:
* rpmlint clean
* Package name appropriate
- upstream distributes as a series of tarballs, but the source of these
- fonts are grouped together as fancy
- These fonts are from the same project as the Core package fonts-hebrew
* Spec file name matches src.rpm name
* Package meets packaging guidelines
* Specified License (GPL) matches project page and license provided with source
* License in %doc
* Spec file written in American English, Legible
* Sources match upstream md5sum
* spec file works
* No BuildRequires (thus none from exceptions or redundant)
* No locale files
* no shared libraries
* No use of Prefix:
* No duplicates
* Appropriate permissions
* Proper %clean
* consistent use of macros
* contains permisable content
* No need for separate docs package
* files in %doc not necessary for runtime
* No devel/library/etc to worry about
* Contains summary/description for Hebrew
* Sane scriptlets
* Works in FC4 and FC5

Approved
Comment 5 Dan Kenigsberg 2009-02-27 10:42:58 EST
Package Change Request
======================
Package Name: culmus-fancy-fonts
Owners: danken

according to bug 477387 I need (among other things) to rename fonts-hebrew-fancy to culmus-fancy-fonts. Is this the place to ask for that (and inclusion of the new name in F11)?
Comment 6 Kevin Fenzi 2009-02-28 19:31:35 EST
No. You need to submit a new review request for the newly named package. ;) 
Once it's approved and added, you can go back and mark the current name dead.

Note You need to log in before you can comment on or make changes to this bug.